fake_csv/urls.py
from django.contrib import admin
from django.urls import path, include
from . import views

urlpatterns = [
    path('admin/', admin.site.urls),
    path('', views.home_view, name='home'),
    path('logout', views.logout_view, name='logout'),
    path('schema/', include('schema.urls')),
]

schema/urls.py
from django.urls import path
from . import views

app_name = 'schema'
urlpatterns = [
    path('', views.list_view, name='list_view'),
    path('create', views.create_view, name='create_view'),
    path('<int:schema_id>/', views.detail_view, name='detail_view'),
    path('update/<int:schema_id>/', views.update_view, name='update_view'),
    path('delete', views.delete_view),
    path('post-schema-types', views.post_schema_types_view, name='post_schema_types_view'),
    # path('download/<int:schema_id>/<int:schema_item_id>/<str:file_name>/', views.download_view, name='download_view'),

    path('post_create_csv_file', views.post_create_csv_file, name='post_create_csv_file'),
    path('post_csv_file_task_status/<uuid:task_id>/', views.post_csv_file_task_status,
         name='post_csv_file_task_status'),
]

fake_csv/views.py
from django.contrib.auth import logout
from django.shortcuts import render, redirect


# Create your views here.
def home_view(request):
    """
    Displays home page.
    """
    return render(request, 'index.html')


def logout_view(request):
    logout(request)
    return redirect('home')

fake_csv/templates/base.html
{% load static %}<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>{% block title %}Start page{% endblock %} | Fake-csv</title>
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bulma@0.9.4/css/bulma.min.css">
    <link rel="stylesheet" href="{% static "css/output.css" %}">
</head>
<body>
{% include "header.html" %}

<div class="container section">
    {% block content %}{% endblock %}
</div>

<script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/jquery-cookie/1.4.1/jquery.cookie.min.js"></script>
<script src="{% static "js/main.js" %}"></script>
</body>
</html>

fake_csv/templates/header.html
<section class="hero is-primary is-small">
    <div class="hero-body">
        <nav class="level">
            <div class="level-left">
                <div class="level-item">
                    <p class="title">
                        <a href="{% url 'home' %}">Fake-csv</a>
                    </p>
                </div>
            </div>

            <div class="level-right">
                {% if user.is_authenticated %}
                    <p class="level-item"><strong>Hello, {{ user.get_username }}</strong></p>
                    <p class="level-item"><strong><a href="{% url 'logout' %}">Logout</a></strong></p>
                {% else %}
                    <p class="level-item"><strong>Hello, guest</strong></p>
                {% endif %}
            </div>
        </nav>
    </div>
</section>

fake_csv/templates/index.html
{% extends "base.html" %}
{% block title %}Home page{% endblock %}
{% block content %}
    <a href="{% url 'schema:list_view' %}">Schema list</a>
{% endblock %}